# Uses of Class
java.nio.file.FileStore

Packages that use FileStore
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.

## Uses of FileStore in java.nio.file

Methods in java.nio.file that return FileStore
Modifier and Type
Method
Description
`static FileStore`
Files.`getFileStore(Path path)`
Returns the `FileStore` representing the file store where a file is located.
Methods in java.nio.file that return types with arguments of type FileStore
Modifier and Type
Method
Description
`abstract Iterable<FileStore>`
FileSystem.`getFileStores()`
Returns an object to iterate over the underlying file stores.

## Uses of FileStore in java.nio.file.spi

Methods in java.nio.file.spi that return FileStore
Modifier and Type
Method
Description
`abstract FileStore`
FileSystemProvider.`getFileStore(Path path)`
Returns the `FileStore` representing the file store where a file is located.